﻿@{
    Layout = null;
}
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<div class="jumbotron">
    <h1>ASP.NET</h1>
    <p class="lead">ASP.NET is a free web framework for building great Web sites and Web applications using HTML, CSS, and JavaScript.</p>
    <p><a href="http://asp.net" class="btn btn-primary btn-lg">Learn more &raquo;</a></p>
</div>
<div class="row">
    <div class="col-md-4">
        <h2>Getting started</h2>
        <p>
            ASP.NET Web API is a framework that makes it easy to build HTTP services that reach
            a broad range of clients, including browsers and mobile devices. ASP.NET Web API
            is an ideal platform for building RESTful applications on the .NET Framework.
        </p>
        <p><a class="btn btn-default" href="http://go.microsoft.com/fwlink/?LinkId=301870">Learn more &raquo;</a></p>
    </div>
    <div class="col-md-4">
        <h2>Get more libraries</h2>
        <p>NuGet is a free Visual Studio extension that makes it easy to add, remove, and update libraries and tools in Visual Studio projects.</p>
        <p><a class="btn btn-default" href="http://go.microsoft.com/fwlink/?LinkId=301871">Learn more &raquo;</a></p>
    </div>
    <div class="col-md-4">
        <h2>Web Hosting</h2>
        <p>You can easily find a web hosting company that offers the right mix of features and price for your applications.</p>
        <p><a class="btn btn-default" href="http://go.microsoft.com/fwlink/?LinkId=301872">Learn more &raquo;</a></p>
    </div>
</div>
<button class="btn btn-default" id="btn" onclick="fn();">test</button>
<script>
    function fn() {
        debugger;
        var id = [{
            q: 3,
            qq: "jj"
        },
        {
            q: 4,
            qq: "kkk"
        }];
        var b = { q: 2, qq: 'ddd' };
        ////for listobj
        //$.ajax({
        //    url: 'https://localhost:44374/api/demo/',
        //    data: { '': id },
        //    ContentType: 'application/json;utf-8',
        //    datatype: 'json',
        //    type: 'Post',
        //    success: function (d) {
        //        alert();
        //    },
        //    error: function (a, b, c) {
        //        alert();
        //    }
        //});
        //for on obj
        //$.ajax({
        //    url: 'https://localhost:44374/api/demo/',
        //    data: b,
        //    ContentType: 'application/json;utf-8',
        //    datatype: 'json',
        //    type: 'Post',
        //    success: function (d) {
        //        alert();
        //    },
        //    error: function (a, b, c) {
        //        alert();
        //    }
        //});

        //for multipleobj
        $.ajax({
            url: 'https://localhost:44374/api/demo/',
            data: { idd: id, id: b },
            ContentType: 'application/json;utf-8',
            datatype: 'json',
            type: 'Post',
            success: function (d) {
                alert();
            },
            error: function (a, b, c) {
                alert();
            }
        });
    }
</script>
